#-----------------------------------------------------------------------------
# $Sendmail: site.config.m4,v @sm_version@ @sm_date@ @sm_time@ cowboy Exp $
#
# Copyright (c) 1998-@SM_CPYRT@ Richard Nelson.  All Rights Reserved.
#
# @configure_input@
#
# Debian site.config.m4 for sendmail @sm_version@@sm_revision@(@sm_version_math@)
#
# Note: the .in file supports @SM_MINVERS@ - @SM_MAXVERS@, but the generated
#	file is customized to the version noted above.
#
#-----------------------------------------------------------------------------
#
#------------------------------------------------------------------
# Sendmail @sm_version@@sm_revision@(@sm_version_math@) on @sm_date@ at @sm_time@ (@sm_utc@)
#------------------------------------------------------------------
#
#------------------------------------------------------------------
# The following sendmail features are included
#------------------------------------------------------------------
#REGEX:      @sm_enable_regex@
#NDBM:       @sm_enable_ndbm@
#NEWDB:      @sm_enable_newdb@      @sm_newdb_lib@
#NIS:        @sm_enable_nis@
#NISPLUS:    @sm_enable_nisplus@
#LDAP:       @sm_enable_ldap@       @sm_ldap_lib@
#HESIOD:     @sm_enable_hesiod@     @sm_hesiod_parms@
#TCPD:       @sm_enable_tcpd@
#BIND:       @sm_enable_bind@
#IPv6:       @sm_enable_ipv6@
#Maillock:   @sm_enable_maillock@
#MILTER:     @sm_enable_milter@
#SFIO:       @sm_enable_sfio@
#AUTH:       @sm_enable_auth@		@sm_auth_lib@
#TLS:        @sm_enable_tls@
#SHM:        @sm_enable_shm@
#FFRs:       @sm_ffr@
#M4_FFRs:    @sm_m4_ffr@
#
#------------------------------------------------------------------
# Packages and build dependancies (Debian packages)
#------------------------------------------------------------------
#Sendmail:		sendmail
#Build-Depends:	@sm_badepends@
#Depends:		@sm_depends@
#Recommends:	@sm_recommends@
#Suggests:		@sm_suggests@
#
#------------------------------------------------------------------
# Build Setup
#------------------------------------------------------------------
#Autoconf version:     @ac_version@
#Automake version:	   @am_version@
#DEBIAN_DH(DebHelper): @DEBIAN_DH@				internal use(not reliable)
#
#DEB_BUILD_ARCH:	   @DEB_BUILD_ARCH@
#DEB_BUILD_GNU_CPU:    @DEB_BUILD_GNU_CPU@
#DEB_BUILD_GNU_SYSTEM: @DEB_BUILD_GNU_SYSTEM@
#DEB_BUILD_GNU_TYPE:   @DEB_BUILD_GNU_TYPE@
#DEB_HOST_ARCH:		   @DEB_HOST_ARCH@
#DEB_HOST_GNU_CPU:	   @DEB_HOST_GNU_CPU@
#DEB_HOST_GNU_SYSTEM:  @DEB_HOST_GNU_SYSTEM@
#DEB_HOST_GNU_TYPE:    @DEB_HOST_GNU_TYPE@
#
#------------------------------------------------------------------
# Autoconf variable settings				 defaults
#------------------------------------------------------------------
#prefix:		 @prefix@					 /usr/local
#exec_prefix:	 @exec_prefix@				 ${prefix}
#bindir:		 @bindir@					 ${exec_prefix}/bin
#sbindir:		 @sbindir@					 ${exec_prefix}/sbin
#libexecdir:	 @libexecdir@				 ${exec_prefix}/libexec
#datadir:		 @datadir@					 ${prefix}/share
#sysconfdir:	 @sysconfdir@				 ${prefix}/etc
#sharedstatedir: @sharedstatedir@			 ${prefix}/com
#localstatedir:  @localstatedir@			 ${prefix}/var
#libdir:		 @libdir@					 ${exec_prefix}/var
#includedir:	 @includedir@				 ${prefix}/include
#oldincludedir:  @oldincludedir@			 /usr/include
#infodir:		 @infodir@					 ${prefix}/info
#mandir:		 @mandir@					 ${prefix}/man
#docdir:		 @docdir@					 ${prefix}/doc
#srcdir:		 @srcdir@					 configure or ..
#
#------------------------------------------------------------------
# Build options for the various pieces parts of sendmail
#------------------------------------------------------------------
#
# Make sure defaults are sound...
define(`confLIBS', `')dnl # was -ldl
#
# global
APPENDDEF(`confINCDIRS',	`@sm_incdirs@')
APPENDDEF(`confMAPDEF',		`@sm_mapdef@')
APPENDDEF(`confENVDEF',		`@sm_envdef@')
APPENDDEF(`confLIBS',		`@sm_libs@')
#
# editmap
APPENDDEF(`conf_editmap_ENVDEF',	`@sm_editmap_envdef@')
APPENDDEF(`conf_editmap_LIBS',		`@sm_editmap_libs@')
#
# libmilter
APPENDDEF(`conf_libmilter_ENVDEF',	`@sm_libmilter_envdef@')
APPENDDEF(`conf_libmilter_LIBS',	`@sm_libmilter_libs@')
APPENDDEF(`conf_libmilter_ENVDEF',  `-DSM_CONF_POLL=1')
APPENDDEF(`conf_libmilter_ENVDEF',  `-D_FFR_WORKERS_POOL=1')
define(`conf_libmilter_SOVERSION', `@sm_libmilter_version@')dnl
#
# libsm
APPENDDEF(`conf_libsm_ENVDEF',	`@sm_libsm_envdef@')
APPENDDEF(`conf_libsm_LIBS',	`@sm_libsm_libs@')
#
# libsmdb
APPENDDEF(`conf_libsmdb_ENVDEF',	`@sm_libsmdb_envdef@')
APPENDDEF(`conf_libsmdb_LIBS',		`@sm_libsmdb_libs@')
#
# libsmutil
APPENDDEF(`conf_libsmutil_ENVDEF',	`@sm_libsmutil_envdef@')
APPENDDEF(`conf_libsmutil_LIBS',	`@sm_libsmutil_libs@')
#
# mail.local
APPENDDEF(`conf_mail_local_ENVDEF',	`@sm_mail_local_envdef@')
APPENDDEF(`conf_mail_local_LIBS',	`@sm_mail_local_libs@')
#
# mailstats
APPENDDEF(`conf_mailstats_ENVDEF',	`@sm_mailstats_envdef@')
APPENDDEF(`conf_mailstats_LIBS',	`@sm_mailstats_libs@')
#
# makemap
APPENDDEF(`conf_makemap_ENVDEF',	`@sm_makemap_envdef@')
APPENDDEF(`conf_makemap_LIBS',		`@sm_makemap_libs@')
#
# praliases
APPENDDEF(`conf_praliases_ENVDEF',	`@sm_praliases_envdef@')
APPENDDEF(`conf_praliases_LIBS',	`@sm_praliases_libs@')
#
# rmail
APPENDDEF(`conf_rmail_ENVDEF',	`@sm_rmail_envdef@')
APPENDDEF(`conf_rmail_LIBS',	`@sm_rmail_libs@')
#
# sendmail
APPENDDEF(`conf_sendmail_ENVDEF',	`@sm_sendmail_envdef@')
APPENDDEF(`conf_sendmail_LIBS',		`@sm_sendmail_libs@')
#
# smrsh
APPENDDEF(`conf_smrsh_ENVDEF',	`@sm_smrsh_envdef@')
APPENDDEF(`conf_smrsh_LIBS',	`@sm_smrsh_libs@')
#
# vacation
APPENDDEF(`conf_vacation_ENVDEF',	`@sm_vacation_envdef@')
APPENDDEF(`conf_vacation_LIBS',		`@sm_vacation_libs@')
#
#------------------------------------------------------------------
# Build-time selection not handled by autoconf above
#------------------------------------------------------------------
# none, for the nonce...
#
#------------------------------------------------------------------
# Global Build time configuration
#------------------------------------------------------------------
# compilation/link
define(`confCC',		`@CC@')dnl                  #Compiler
define(`confOPTIMIZE',  `@CFLAGS@')dnl              #Optimization
define(`confCCOPTS',	`')dnl                      #CC options
define(`confCCOPTS_SO'	`-fPIC')dnl                 #Shared libraries
define(`confLD',		confCC)dnl                  #Linker
define(`confLDOPTS',	`@LDFLAGS@')dnl             #Linker opts
define(`confLDOPTS_SO',	`-shared -fPIC @LDFLAGS@')dnl #linker shared lib
define(`confLIBDIRS',	`')dnl                      #-L linker flags
define(`confMKDIR',	`mkdir')dnl
define(`confMTCCOPTS',	`-D_REENTRANT')dnl          #Multi-thread cc opts
define(`confMTLDOPTS',	`-lpthread')dnl             #Multi-thread ld opts
define(`confSHAREDLIB_EXT', `.so')dnl               #
define(`confSHAREDLIB_SUFFIX', `')dnl               #
define(`confSHAREDLIBDIR', `@libdir@')dnl           #
define(`confSONAME',`-soname')dnl                   #
#
# paths, owners, and modes
#	Note: can't use smmsp here, it is dynamically created
#	Note: EBINDIR deserves a better home, suggestions?
define(`confEBINDIR',	`@libexecdir@')dnl          #mail.local,smrsh,etc.
define(`confGBINGRP',	`mail')dnl                  #sgid binary group smmsp
define(`confGBINMODE',	`02755')dnl                 #sgid binary mode
define(`confGBINOWN',	`root')dnl                  #sgid binary owner
define(`confHFDIR',		`@sysconfdir@/mail')dnl     #helpfile dir
define(`confHFFILE',	`helpfile')dnl              #helpfile name
define(`confINCGRP',	`root')dnl                  #include group
define(`confINCMODE',	`0744')dnl                  #include mode
define(`confINCOWN',	`root')dnl                  #include owner
ifelse(eval(@sm_version_math@ >= 527363), `1',dnl
`define(`confINCLUDEDIR',`@includedir@')dnl           #include target',
`define(`confINCLUDEDIR',`@includedir@/libmilter')dnl #include target'
)dnl
define(`confINST_DEP',	`')dnl                      #submit.cf clientmqueue
define(`confLIBDIR',	`@libdir@')dnl              #library dir
define(`confLIBGRP',	`root')dnl                  #library group
define(`confLIBMODE',	`0744')dnl                  #library mode
define(`confLIBOWN',	`root')dnl                  #library owner
define(`confMANROOT',	`@mandir@/man')dnl          #man root
define(`confMANROOTMAN',`@mandir@/man')dnl          #man root
define(`confMANGRP',	`root')dnl                  #man group
define(`confMANMODE',	`0744')dnl                  #man mode
define(`confMANOWN',	`root')dnl                  #man owner
define(`confMBINDIR',	`@libexecdir@')dnl          #MTA bindir @sbindir@
define(`confMBINGRP',	`root')dnl                  #MTA bin grp
define(`confMBINMODE',	`0755')dnl                  #MTA bin mode
define(`confMBINOWN',	`root')dnl                  #MTA bin owner
define(`confMSPQOWN',	`mail')dnl                  #MSP queue owner smmsp
define(`confMSP_QUEUE_DIR', `/var/spool/mqueue-client')dnl
define(`confSBINDIR',	`@libexecdir@')dnl          #suid bin dir @sbindir@
define(`confSBINGRP',	`root')dnl                  #suid bin grp
define(`confSBINMODE',	`04755')dnl                 #suid bin mode
define(`confSBINOWN',	`root')dnl                  #suid bin owner
#	Note, STDIR in /var/lib/sendmail... default is /var/spool/mqueue
define(`confSTDIR',		`@localstatedir@/lib/sendmail')dnl #Statistics dir
define(`confSTFILE',	`statistics')dnl            #statistics name
define(`confMSP_STFILE',`sm-client.st')dnl          #MSP statistics name
define(`confSTMODE',	`0660')dnl                  #statistics mode
define(`confUBINDIR',	`@libexecdir@')dnl          #usr bin dir @bindir@
define(`confUBINGRP',	`mail')dnl                  #usr bin grp smmsp
define(`confUBINMODE',	`0755')dnl                  #usr bin mode
define(`confUBINOWN',	`root')dnl                  #usr bin owner
#
# don't provide links, I'll do them myself later
# sigh... must have something in there or $(make install) croaks -- temp file
define(`confLINKS', `sendmail-bin')dnl
define(`confMTA_LINKS')dnl
#
# Force rmail installation
define(`confFORCE_RMAIL')dnl
#
# don't install formatted man pages or sendmail.st
dnl define(`confNO_MAN_INSTALL')dnl
dnl define(`confNO_MAN_BUILD')dnl
define(`confINSTALL_RAWMAN')dnl
define(`confDONT_INSTALL_CATMAN', `')dnl # for 8.12
define(`confMANDOC', `')dnl		         # for 8.9.3
define(`confNROFF',  `cat')dnl	         # for 8.9.3
define(`confNO_STATISTICS_INSTALL')dnl
#
# flags
#
# Tests (should be temporary)
#
